import {AssignmentModel} from "@bryntum/gantt";

/**
 * This is used to display the View list.
 * Currently saturated through graphql, with only one name field. All other information is obtained by "request" from the graphql server.
 * If necessary, you can saturate this other information and use it through the gantt tools
 */
export class AssignmentModelExt extends AssignmentModel {
    static get fields() {
        return [
            {name: "guid", type: "string"},
            {name: "timeSheetIds", type: "array"}
        ];
    }

    // @ts-ignore
    copy(...args) {
        const copy = super.copy(...args);
        // @ts-ignore
        copy.setData('guid', null)
        return copy;
    }


}