import {Model} from "@bryntum/gantt";

/**
 * This is used to display the View list.
 * Currently saturated through graphql, with only one name field. All other information is obtained by "request" from the graphql server.
 * If necessary, you can saturate this other information and use it through the gantt tools
 */
export class KeyResultModel extends Model {

    static get fields() {
        return [
            {name: "description", type: "string"},
        ];
    }
}