import {Combo} from "@bryntum/gantt";

export default class TaskCostCategoryField extends Combo {

    static get $name() {
        return 'TaskCostCategoryField';
    }

    // Factoryable type name
    static get type() {
        return 'taskcostcategoryfield';
    }

    static get defaultConfig() {
        return {
            clearable: true,
            displayField: "name",
            valueField: "id",
            listItemTpl: (record: any) => `${record.name}`
        };
    }


}

// Register this widget type with its Factory
TaskCostCategoryField.initClass();
