import {ColumnStore, MilestoneColumn, Toast} from "@bryntum/gantt";

export default class MilestoneExtColumn extends MilestoneColumn {
    static get $name() {
        return 'MilestoneColumn';
    }

    // unique alias of the column
    static get type() {
        return 'milestoneext';
    }

    construct(config: any, store: any) {
        // @ts-ignore
        super.construct(...arguments)
        // @ts-ignore
        this.on({
            beforeToggle: (event: any): any => {
                if (event.record.keyResult) {
                    Toast.show(this.L('First remove KeyResult'))
                    return false
                }
                return true
            },
            //TODO подумать как сделать через переопределение модели https://www.bryntum.com/forum/viewtopic.php?f=52&t=20333&p=100917#p100917
            toggle: (event: any) => {
                if (!event.checked) {
                    event.record.setData('keyMilestone', false)
                }

            },
            thisObj: this
        })
    }
}
// register new column
ColumnStore.registerColumnType(MilestoneExtColumn);